Skip to main content
GET
/
schedule
/
api
/
working-time-arrangements
List Working Time Arrangements.
curl --request GET \
  --url https://{host}/schedule/api/working-time-arrangements \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/schedule/api/working-time-arrangements"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/schedule/api/working-time-arrangements', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": 1,
      "name": "<string>",
      "description": "<string>",
      "fullTimeEquivalent": 0.5,
      "publicHolidaysCalendar": {
        "id": 1,
        "name": "<string>"
      },
      "isPartTime": true,
      "isArchived": true,
      "isScheduleValid": true,
      "authorizedCommands": [],
      "referencePeriod": {},
      "contractWorkingTimeDuration": {
        "value": 1,
        "iso": "<string>"
      },
      "referenceWorkingTimeDuration": {
        "value": 1,
        "iso": "<string>"
      },
      "fullDayAbsence": {
        "duration": {
          "value": 1,
          "iso": "<string>"
        },
        "absenceAccountIds": [
          1
        ],
        "absenceCategoryIds": [
          1
        ]
      },
      "currentAssignmentsCount": 123,
      "timesheetRegulation": {
        "id": 1,
        "name": "<string>"
      },
      "currentSchedulePatternSummary": {
        "days": [
          {
            "workDuration": 1
          }
        ]
      }
    }
  ]
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

Find a working time arrangement based on its name.

isPartTime
boolean

When true, only returns part-time working time arrangements.

unit
enum<string>

Filter working time arrangements on their unit. An event can be set in:

  • Day: "I worked for a half day last Monday".
  • Hour: "I worked for 2 hours last Monday".
  • Time: "I worked between 10:00 AM and 12:00 AM last Monday".
Available options:
day,
hour,
time
isArchived
boolean

Filter Working Time Arrangements on their archival status. If omitted, both archived and non-archived ones are retrieved.

currentlyAssignedOnly
boolean

Filter Working Time Arrangements assigned to a current work contract and thus to a user

sort
enum<string>

Sort items by property.

Available options:
id,
-id
page
string

Next page token

Examples:

"next_token&fields.root=next"

"2"

limit
integer
default:10

Number of items per page

Required range: 0 <= x <= 100
fields.root
enum<string>

Include collection properties.

Available options:
count

Response

OK

items
The Working Time Arrangement resource · object[]